Bug 29452 - Не устанавливается на RAID1/LVM
: Не устанавливается на RAID1/LVM
Status: CLOSED WONTFIX
: ALT Linux Centaurus
(All bugs in ALT Linux Centaurus/Установка)
: 7.0.1
: all Linux
: P3 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2013-10-10 10:28 by
Modified: 2013-10-14 16:39 (History)


Attachments
remount.log (3.58 KB, text/plain)
2013-10-10 13:34, Sergey Y. Afonin
no flags Details
blkid.dm (775 bytes, text/plain)
2013-10-10 13:35, Sergey Y. Afonin
no flags Details
mdadm.conf (274 bytes, text/plain)
2013-10-10 13:35, Sergey Y. Afonin
no flags Details
fstab (429 bytes, text/plain)
2013-10-10 13:36, Sergey Y. Afonin
no flags Details
Логи и прочие данные на момент разметки разделов. (37.83 KB, application/octet-stream)
2013-10-14 16:16, Sergey Y. Afonin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-10-10 10:28:43
Дистрибутив не удаётся установить на RAID1/LVM. На 6-ом шаге появляется ошибка
"file system remount error", кнопка "далее" доступна, но вызывает перезагрузку,
после чего загрузка не удаётся (очевидно, загрузчик не установлен ещё). rootfs
на LVM, /boot пробовал выносить отдельно на raid1 и просто на sda1, ситуация не
меняется. /usr, /home, /var и swap на LVM.
------- Comment #1 From 2013-10-10 10:31:47 -------
Инсталляция минимальная, галочка только на sysV init.
------- Comment #3 From 2013-10-10 13:34:44 -------
Created an attachment (id=5958) [details]
remount.log

Вариант с установкой /boot на /dev/md0, LVM на /dev/md2 (Интересно, а почему
md1 пропущен оказался ?)
------- Comment #4 From 2013-10-10 13:35:33 -------
Created an attachment (id=5959) [details]
blkid.dm
------- Comment #5 From 2013-10-10 13:35:57 -------
Created an attachment (id=5960) [details]
mdadm.conf
------- Comment #6 From 2013-10-10 13:36:32 -------
Created an attachment (id=5961) [details]
fstab
------- Comment #7 From 2013-10-10 13:38:56 -------
pkg-install.log, кстати, с ошибкой в конце:

Running /usr/lib/rpm/posttrans-filetriggers
Done.
pkg-install:finish:0
/usr/lib/alterator/backend3/pkg-install: line 51: echo: write error: Broken
pipe
/usr/lib/alterator/backend3/pkg-install: line 43:
/var/run/alterator-pkg//stdin.fifo: Interrupted system call
------- Comment #8 From 2013-10-11 17:52:59 -------
(In reply to comment #3)
> (Интересно, а почему md1 пропущен оказался ?)
Интересней, кто такой /dev/md/ddf0...

(In reply to comment #0)
> Дистрибутив не удаётся установить на RAID1/LVM. На 6-ом шаге появляется ошибка
> "file system remount error"
Просьба сообщения об ошибках цитировать точно, это было "destination filesystem
remount error" и найти его в alterator-preinstall из-за неточности оказалось
труднее.

> rootfs на LVM, /boot пробовал выносить отдельно на raid1 и просто на sda1
Несмотря на то, что / на LVM должен поддерживаться, я бы такое не рекомендовал
(и сам не делаю) для HN.

В общем, УМВР:
http://ftp.linux.kiev.ua/pub/Linux/ALT/people/mike/iso/mkimage-profiles/tmp/server-mini-p7_20131011-x86_64.iso
http://fly.osdn.org.ua/~mike/img/screenshots/test-raid1-lvm-29452.png
------- Comment #9 From 2013-10-11 18:35:19 -------
(В ответ на комментарий №5)
> Created an attachment (id=5960) [details] [details]
> mdadm.conf
"ARRAY metadata=ddf UUID=..." -- а вот это как было получено?
------- Comment #10 From 2013-10-11 21:39:09 -------
(In reply to comment #8)
> Просьба сообщения об ошибках цитировать точно, это было "destination filesystem
> remount error" и найти его в alterator-preinstall из-за неточности оказалось
> труднее.

В Кентавре и в стартерките ошибка звучит по-разному. В sysadmins@ я написал,
как звучит в стартерките, тут - как в Кентавре.

(In reply to comment #9)
> "ARRAY metadata=ddf UUID=..." -- а вот это как было получено?

Только инсталлятором Кентавра. Ничего вне менюшки не делал, создал разделы,
RAID-ы, LVM.
------- Comment #11 From 2013-10-13 16:01:01 -------
Server Light 1.1.7 встал нормально, правда, на другом контроллере. Речь тут про
серверную платформу Intel на материнской плате S2600GZ, один контроллер
обслуживает 8 SAS/SATA каналов и требует драйвер isci, поддержки которого в
ядре в Server Light ещё нет, второй обслуживает 2 SATA канала и обслуживается
драйвером ahci. В обоих случаях использовалось два SATA HDD, при установке
Server Light использованы те же тома, которые были созданы при попытке
установки Кентавра (было только форматирование).  mdadm.conf получился тот же
самый, то есть, с тем же непонятным ARRAY metadata=ddf UUID=a7db95de...
------- Comment #12 From 2013-10-13 20:54:21 -------
(В ответ на комментарий №9)

> "ARRAY metadata=ddf UUID=..." -- а вот это как было получено?

Вопрос навел на определённые мысли, сегодня не удержался и сходил проверил.
Кентавр поставился после того, как я очистил HDD посредством dd. Ставил,
правда, на деградированный RAID на имевшийся в запасе HDD, а не на ту пару,
куда ставил изначально, но, думаю, дело именно в каких-то данных, которые были
на тех HDD (наверное, остатки RAID, сформированного из BIOS при сборке и
проверке сервера).

Но, в любом случае, это баг: 
1) инсталлятор мог бы и показать среди устройств непонятные разделы и дать
возможность их удалить;
2) Server Light это поставиться не помешало;
3) кажется, я выбирал очистку дисков, видимо, инсталлятор не всё чистит.

Завтра доделаю тесты переформулирую проблему.
------- Comment #13 From 2013-10-14 10:11:41 -------
(In reply to comment #8)

> В общем, УМВР:
> http://ftp.linux.kiev.ua/pub/Linux/ALT/people/mike/iso/mkimage-profiles/tmp/server-mini-p7_20131011-x86_64.iso

Тут что-то всё по-другому. Установка прошла нормально, но вот загрузка...
Встало на "md: export_rdev(sda)", пока писал это, появилась следующая: "initrd:
... /root: Not mounted". Использована та же пара с непонятным "ARRAY
metadata=ddf". Но, видимо, это уже надо не в баге про Кентавр обсуждать.
------- Comment #14 From 2013-10-14 11:53:03 -------
Просьба при возможности вытащить со стенда на этих двух дисках:
- `find /tmp /var/log -name '*.log'` из инсталятора
- `mdadm --examine --scan --verbose` оттуда же
- содержимое /proc/mdstat оттуда же

(В ответ на комментарий №7)
> pkg-install.log, кстати, с ошибкой в конце:
> /usr/lib/alterator/backend3/pkg-install: line 51: echo: write error: Broken
> pipe
Грязь при прибивании alteratord, помнится.
------- Comment #15 From 2013-10-14 16:16:02 -------
Created an attachment (id=5967) [details]
Логи и прочие данные на момент разметки разделов.

(In reply to comment #14)

> Просьба при возможности вытащить со стенда на этих двух дисках:

Только это на момент начала выбора разделов для установки. Почему-то, при
очередной попытке, установка Кентавра прошла удачно. Хотя, возникла проблема
при последующей загрузке, как и с server-mini из comment #13, но с другой
ошибкой (записать вот не успел).

В итоге, на эту пару HDD Кентавр встал после заполнения дисков нулями, никаких
"ARRAY metadata=ddf ..." больше нет, есть только md0 и md1. Правда, тут тоже
случилась проблема: меня надолго отвлекли в момент конфигурирования разделов.
Когда я продолжил нарезать тома, система ушла в перезагрузку с нормальным
завершением. Повторно воспроизвести не вышло, и до этого ни разу не
проявлялось, хотя я систему несколько раз ставил в разных вариантах.
------- Comment #16 From 2013-10-14 16:38:44 -------
По мотивам завёл два других бага:

Bug 29471: про очистку HDD (Comment #12, пункт 3)
Bug 29473: про работу инсталлятора в плане отображения структур данных на HDD и
проблему установки.

Тему бага менять, думаю, не надо: хотя она не отображает ситуацию правильно, по
ней должно хорошо гуглиться. Сам баг закрываю, как WONTFIX.